<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	version="1.0">
	<xsl:output method="xml" indent="yes" version="1.0"	omit-xml-declaration="yes" />
	<xsl:template match="@*">
		<xsl:choose>
			<xsl:when test="name()='pcmltype'">
			</xsl:when>
			<xsl:when test="name()='value'">
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="{name()}"><xsl:value-of select="." /></xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="*">
		<xsl:choose>
			<xsl:when test="@pcmltype">
				<xsl:element name="{attribute::pcmltype}">
					<xsl:apply-templates select="@*" />
					<xsl:value-of select="@value" />
					<xsl:apply-templates select="*" />
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="{name()}">
					<xsl:apply-templates select="@*" />
					<xsl:apply-templates select="*" />
				</xsl:element>
			</xsl:otherwise>	
		</xsl:choose>
	</xsl:template>

	<xsl:template match="pcml">
		<xsl:element name="{name()}">
			<xsl:apply-templates select="@*" />
			<xsl:apply-templates select="*" />
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>